package com.yihu.jw.restmodel.hospital.prescription;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * Created by Trick on 2019/6/17.
 */
@ApiModel(value = "WlyyHisPrescriptionVO", description = "诊查费实体")
public class WlyyChargeDictVO {
    /**号别code*/
    @ApiModelProperty(value = "号别code", example = "模块1")
    private String chargeType;
    /**号别名称*/
    @ApiModelProperty(value = "号别名称", example = "模块1")
    private String chargeName;
    /**诊查费，单位元*/
    @ApiModelProperty(value = "诊查费，单位元", example = "模块1")
    private double reqFee;
    /**创建时间*/
    @ApiModelProperty(value = "创建时间", example = "模块1")
    private Date createTime;
    /**6总部7金榜8夏禾*/
    @ApiModelProperty(value = "6总部7金榜8夏禾", example = "模块1")
    private String deptTypeCode;


    public String getChargeType() {
        return chargeType;
    }

    public void setChargeType(String chargeType) {
        this.chargeType = chargeType;
    }

    public String getChargeName() {
        return chargeName;
    }

    public void setChargeName(String chargeName) {
        this.chargeName = chargeName;
    }

    public double getReqFee() {
        return reqFee;
    }

    public void setReqFee(double reqFee) {
        this.reqFee = reqFee;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getDeptTypeCode() {
        return deptTypeCode;
    }

    public void setDeptTypeCode(String deptTypeCode) {
        this.deptTypeCode = deptTypeCode;
    }
}
